--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r131
Project Date		: 20090126110756

File				: MainFrame.lua
Commit Author		: zhinjio
Commit Revision		: 131
Commit Date			: 20090126110756
************************************************************************
Description	:
	Creation routines and handlers for the main frame. Includes the
	button launchers for other frames as well. I want this to also hook
	into the modules (based on security) that will add additional
	launchers based on security level.
	
TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "SKG"
local FULLNAME = MODNAME
local SKG = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = SKG

-- Frame Creation stuff
addon.MainFrame = myCreateFrame( 
	"MainFrame", "UIParent", 200, 450, true,
	"TOPLEFT", UIParent, "TOPLEFT", 100, -100,
	true, 3, "FULLSCREEN_DIALOG",
	"Interface\WorldMap\UI-WorldMap-Middle3",
	"Interface\DialogFrame\UI-DialogBox-Gold-Border"
)
--	addon.MainFrame:SetHitRectInsets( 4, 4, 4, 4 )
--	addon.MainFrame:RegisterForDrag( "LeftButton" )
	
--[[
************************************************************************
CHANGELOG:

Date : 1/25/09
	Rewrite begins
	each token. Thats about as close to the old method as I can get.
************************************************************************
]]--